Retrieves webhook
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const { webhook, webhookError } = await reloop.webhook.get("wh_123456789");6if (webhookError) throw webhookError;1{2 "id": "wh_123456789",3 "name": "Payments Webhook",4 "url": "https://example.com/webhooks/reloop",5 "secret": "***masked***",6 "status": "active",7 "customHeaders": {8 "x-source": "reloop"9 },10 "rateLimitEnabled": true,11 "maxRequestsPerMinute": 60,12 "maxRetries": 3,13 "retryBackoffMultiplier": 2,14 "filteringOptions": null,15 "lastTriggeredAt": "2026-03-29T10:00:00Z",16 "successCount": 10,17 "failureCount": 1,18 "consecutiveFailures": 0,19 "createdAt": "2026-03-29T10:00:00Z",20 "updatedAt": "2026-03-29T10:00:00Z"21}Path Parameters
webhook_idstringRequired
Webhook ID
- Minimum length:
1
Was this page helpful?
- Need help? Contact Support.
- Chat with Reloop developers on Discord.
- Check out our changelog.
- Questions? Contact Sales.
- LLM? Read llms.txt.